DCMTK: DcmQueryRetrieveTelnetInitiator Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
DcmQueryRetrieveTelnetInitiator Class Reference

this class provides the functionality of the telnet initiator application More...

## Public Member Functions
| DcmQueryRetrieveTelnetInitiator (DcmQueryRetrieveConfig &cfg)
| constructor
void | TI_userInput ()
| main entry point for console-based user interface
OFBool | addPeerName (const char *peerName, const char *configFileName)
| add remote peer to list of peers
void | printConfig ()
| print TI configuration to stdout
OFBool | TI_detachAssociation (OFBool abortFlag)
| detach current association
void | setAETitle (const char *ae)
| set local aetitle
void | setMaxPDU (OFCmdUnsignedInt pdu)
| set max receive PDU
void | activateFirstPeer ()
| activate first peer in list of peers
T_ASC_Network ** | accessNet ()
| provide read/write access to network structure maintained by this object.
int | getdbCount () const
| return number of databases
void | createConfigEntries (const char *configFileName, int remoteDBTitlesCount, const char **remoteDBTitles)
| create configuration entries for remote databases
void | setXferSyntax (E_TransferSyntax xfer)
| set the network transfer syntax
void | setBlockMode (T_DIMSE_BlockingMode blockMode, int timeout)
| set blocking mode and timeout for DIMSE operations

## Private Attributes
TI_DBEntry ** | dbEntries
| the CTN databases we know
int | dbCount
| number of entries in databases we know
const char * | peerHostName
| current peer to talk to
const char * | peerNames [TI_MAXPEERS]
| list of peer names
int | peerNamesCount
| number of peer names in list
const char * | myAETitle
| my application entity title
T_ASC_Network * | net
| active network
T_ASC_Association * | assoc
| currently active association
OFCmdUnsignedInt | maxReceivePDULength
| number of bytes per PDU we can receive
int | currentdb
| current database index
const char * | currentPeerTitle
| current peer title
DcmQueryRetrieveConfig & | config
| configuration facility
E_TransferSyntax | networkTransferSyntax
| network transfer syntax
T_DIMSE_BlockingMode | blockMode_
| blocking mode for DIMSE operations
int | dimse_timeout_
| timeout for DIMSE operations

## Detailed Description

this class provides the functionality of the telnet initiator application

## Constructor & Destructor Documentation

## ◆ DcmQueryRetrieveTelnetInitiator()

DcmQueryRetrieveTelnetInitiator::DcmQueryRetrieveTelnetInitiator | ( | DcmQueryRetrieveConfig & | cfg | ) |

constructor

Parameters

  cfg | configuration facility

## Member Function Documentation

## ◆ accessNet()

T_ASC_Network ** DcmQueryRetrieveTelnetInitiator::accessNet | ( |  | ) |
| inline

provide read/write access to network structure maintained by this object.

Yes, this is ugly.

Returns
  pointer to pointer to network structure

References net.

## ◆ addPeerName()

OFBool DcmQueryRetrieveTelnetInitiator::addPeerName | ( | const char * | peerName,
|  | const char * | configFileName )

add remote peer to list of peers

Parameters

  peerName | name of peer
  configFileName | name of configuration file from which peer was read

## ◆ createConfigEntries()

void DcmQueryRetrieveTelnetInitiator::createConfigEntries | ( | const char * | configFileName,
|  | int | remoteDBTitlesCount,
|  | const char ** | remoteDBTitles )

create configuration entries for remote databases

Parameters

  configFileName | name of configuration file
  remoteDBTitlesCount | number of remote DB titles
  remoteDBTitles | list of remote DB titles

## ◆ setAETitle()

void DcmQueryRetrieveTelnetInitiator::setAETitle | ( | const char * | ae | ) |
| inline

set local aetitle

Parameters

  ae | aetitle

References myAETitle.

## ◆ setBlockMode()

void DcmQueryRetrieveTelnetInitiator::setBlockMode | ( | T_DIMSE_BlockingMode | blockMode,
|  | int | timeout )
| inline

set blocking mode and timeout for DIMSE operations

Parameters

  blockMode | blocking mode for DIMSE operations
  timeout | timeout for DIMSE operations

References blockMode_, and dimse_timeout_.

## ◆ setMaxPDU()

void DcmQueryRetrieveTelnetInitiator::setMaxPDU | ( | OFCmdUnsignedInt | pdu | ) |
| inline

set max receive PDU

Parameters

  pdu | max receive PDU size

References maxReceivePDULength.

## ◆ setXferSyntax()

void DcmQueryRetrieveTelnetInitiator::setXferSyntax | ( | E_TransferSyntax | xfer | ) |
| inline

set the network transfer syntax

Parameters

  xfer | new network transfer syntax

References networkTransferSyntax.

## ◆ TI_detachAssociation()

OFBool DcmQueryRetrieveTelnetInitiator::TI_detachAssociation | ( | OFBool | abortFlag | ) |

detach current association

Parameters

  abortFlag | if true, abort association instead of releasing it

The documentation for this class was generated from the following file:

- dcmqrdb/include/dcmtk/dcmqrdb/dcmqrtis.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2